summaryrefslogtreecommitdiffstats
path: root/modules.d/01fips/fips-boot.sh
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@progress-linux.org>2024-06-03 13:54:25 +0000
committerDaniel Baumann <daniel.baumann@progress-linux.org>2024-06-03 13:54:25 +0000
commit9cb1c4df7b9ce1a9ad1312621b0f2b16a94fba3a (patch)
tree2efb72864cc69e174c9c5ee33efb88a5f1553b48 /modules.d/01fips/fips-boot.sh
parentInitial commit. (diff)
downloaddracut-9cb1c4df7b9ce1a9ad1312621b0f2b16a94fba3a.tar.xz
dracut-9cb1c4df7b9ce1a9ad1312621b0f2b16a94fba3a.zip
Adding upstream version 060+5.upstream/060+5
Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
Diffstat (limited to 'modules.d/01fips/fips-boot.sh')
-rwxr-xr-xmodules.d/01fips/fips-boot.sh16
1 files changed, 16 insertions, 0 deletions
diff --git a/modules.d/01fips/fips-boot.sh b/modules.d/01fips/fips-boot.sh
new file mode 100755
index 0000000..34760e0
--- /dev/null
+++ b/modules.d/01fips/fips-boot.sh
@@ -0,0 +1,16 @@
+#!/bin/sh
+
+type getarg > /dev/null 2>&1 || . /lib/dracut-lib.sh
+
+if ! fipsmode=$(getarg fips) || [ "$fipsmode" = "0" ]; then
+ rm -f -- /etc/modprobe.d/fips.conf > /dev/null 2>&1
+elif [ -z "$fipsmode" ]; then
+ die "FIPS mode have to be enabled by 'fips=1' not just 'fips'"
+elif getarg boot= > /dev/null; then
+ . /sbin/fips.sh
+ fips_info "fips-boot: start"
+ if mount_boot; then
+ do_fips || die "FIPS integrity test failed"
+ fi
+ fips_info "fips-boot: done!"
+fi